Bug 970119 - (gdm_leak) SELinux is preventing /usr/bin/bash from 'getattr' accesses on the unix_stream_socket unix_stream_socket.
SELinux is preventing /usr/bin/bash from 'getattr' accesses on the unix_strea...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
abrt_hash:d33527a7de0222be246ee825d73...
:
: 968065 984251 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-03 09:42 EDT by Pratyush Sahay
Modified: 2015-02-17 10:26 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 10:26:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pratyush Sahay 2013-06-03 09:42:11 EDT
Description of problem:
Happens when nautilus tries to open the thumbnail of a DVI and PDF files created from tex file which includes several images to make the size of the PDF big.
SELinux is preventing /usr/bin/bash from 'getattr' accesses on the unix_stream_socket unix_stream_socket.

*****  Plugin catchall (100. confidence) suggests  ***************************

If you believe that bash should be allowed getattr access on the unix_stream_socket unix_stream_socket by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep mktexpk /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                unconfined_u:unconfined_r:thumb_t:s0-s0:c0.c1023
Target Context                system_u:system_r:xdm_t:s0-s0:c0.c1023
Target Objects                unix_stream_socket [ unix_stream_socket ]
Source                        mktexpk
Source Path                   /usr/bin/bash
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           bash-4.2.45-1.fc19.x86_64
Target RPM Packages           
Policy RPM                    selinux-policy-3.12.1-47.fc19.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Host Name                     (removed)
Platform                      Linux (removed) 3.9.4-300.fc19.x86_64 #1 SMP Fri
                              May 24 22:17:06 UTC 2013 x86_64 x86_64
Alert Count                   5
First Seen                    2013-05-31 23:01:08 IST
Last Seen                     2013-06-03 19:10:03 IST
Local ID                      700a3bef-0ad5-4a97-989f-ff9883866498

Raw Audit Messages
type=AVC msg=audit(1370266803.9:479): avc:  denied  { getattr } for  pid=7385 comm="mktexpk" path="socket:[21203]" dev="sockfs" ino=21203 scontext=unconfined_u:unconfined_r:thumb_t:s0-s0:c0.c1023 tcontext=system_u:system_r:xdm_t:s0-s0:c0.c1023 tclass=unix_stream_socket


type=SYSCALL msg=audit(1370266803.9:479): arch=x86_64 syscall=fstat success=yes exit=0 a0=1 a1=7ffff4a38ee0 a2=7ffff4a38ee0 a3=23 items=0 ppid=7359 pid=7385 auid=1000 uid=1000 gid=1000 euid=1000 suid=1000 fsuid=1000 egid=1000 sgid=1000 fsgid=1000 ses=1 tty=(none) comm=mktexpk exe=/usr/bin/bash subj=unconfined_u:unconfined_r:thumb_t:s0-s0:c0.c1023 key=(null)

Hash: mktexpk,thumb_t,xdm_t,unix_stream_socket,getattr

Additional info:
reporter:       libreport-2.1.4
hashmarkername: setroubleshoot
kernel:         3.9.4-300.fc19.x86_64
type:           libreport
Comment 1 Miroslav Grepl 2013-06-04 10:12:57 EDT
Did it work in enforcing mode or you needed to switch to permissive mode?
Comment 2 Pratyush Sahay 2013-06-04 10:16:01 EDT
Had switched to permissive mode.
Comment 3 Miroslav Grepl 2013-06-24 08:07:42 EDT
*** Bug 968065 has been marked as a duplicate of this bug. ***
Comment 4 Daniel Walsh 2013-07-15 17:32:28 EDT
*** Bug 984251 has been marked as a duplicate of this bug. ***
Comment 5 Daniel Walsh 2013-07-15 17:33:21 EDT
THis is a gdm leak or something in the gdm pam stack leaking.
Comment 6 Fedora End Of Life 2015-01-09 13:18:31 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2015-02-17 10:26:12 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.